DOM::CSSValueList class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::CSSValueList Class Reference

The `CSSValueList` interface provides the absraction of an ordered collection of CSS values. More...

`#include <css_value.h>`

Inheritance diagram for DOM::CSSValueList:

[legend]
Collaboration diagram for DOM::CSSValueList:

[legend]
List of all members.

## Public Member Functions
| CSSValueList (const CSSValueList &other)
| CSSValueList (const CSSValue &other)
| CSSValueList (CSSValueListImpl *impl)
CSSValueList & | operator= (const CSSValueList &other)
CSSValueList & | operator= (const CSSValue &other)
unsigned long | length () const
| The number of `CSSValue` s in the list.
CSSValue | item (unsigned long index)
| Used to retrieve a CSS rule by ordinal index.
## Protected Attributes
CSSValueListImpl * | vimpl

## Detailed Description

The `CSSValueList` interface provides the absraction of an ordered collection of CSS values.

Definition at line 314 of file css_value.h.

## Member Function Documentation

unsigned long CSSValueList::length | ( |  | ) | const

| The number of `CSSValue` s in the list. The range of valid values indices is `0` to `length-1` inclusive. Definition at line 291 of file css_value.cpp.

CSSValue CSSValueList::item | ( | unsigned long | index | ) |

  | Used to retrieve a CSS rule by ordinal index. The order in this collection represents the order of the values in the CSS style property. Parameters:
  index | Index into the collection.
Returns: The style rule at the `index` position in the `CSSValueList` , or `null` if that is not valid index. Definition at line 297 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:48 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001